# CUpti_ActivityDeviceAttribute Struct Reference
[CUPTI Activity API]

The activity record for a device attribute. More...

## Data Fields
union {
} | attribute
uint32_t | deviceId
CUpti_ActivityFlag | flags
CUpti_ActivityKind | kind
union {
} | value

## Detailed Description

This activity record represents information about a GPU device: either a CUpti_DeviceAttribute or CUdevice_attribute value (CUPTI_ACTIVITY_KIND_DEVICE_ATTRIBUTE).

## Field Documentation

union { ... } CUpti_ActivityDeviceAttribute::attribute

The attribute, either a CUpti_DeviceAttribute or CUdevice_attribute. Flag CUPTI_ACTIVITY_FLAG_DEVICE_ATTRIBUTE_CUDEVICE is used to indicate what kind of attribute this is. If CUPTI_ACTIVITY_FLAG_DEVICE_ATTRIBUTE_CUDEVICE is 1 then CUdevice_attribute field is value, otherwise CUpti_DeviceAttribute field is valid.

uint32_t CUpti_ActivityDeviceAttribute::deviceId

The ID of the device that this attribute applies to.

CUpti_ActivityFlag CUpti_ActivityDeviceAttribute::flags

The flags associated with the device.

See also:
  CUpti_ActivityFlag

CUpti_ActivityKind CUpti_ActivityDeviceAttribute::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_DEVICE_ATTRIBUTE.

union { ... } CUpti_ActivityDeviceAttribute::value

The value for the attribute. See CUpti_DeviceAttribute and CUdevice_attribute for the type of the value for a given attribute.